PDA

View Full Version : Questions about online play



Sirrith
02-20-2008, 09:21 AM
Hi, I'm new to the whole IL2 scene, I just bought the game yesterday! Haha.

I also made a small mistake and bought the original IL2 as well as 1946, and I bought FB for my cousin. I was just wondering whether it is possible for someone who only has FB to play online with someone who has 1946? And also the same question but change 1946 to the original IL2 http://forums.ubi.com/groupee_common/emoticons/icon_smile.gif
If not, what would I need to do in order to be able to play with my cousin?
Thanks!

X32Wright
02-20-2008, 09:37 AM
NO you cannot have MIXED versions to play online. You must have the same VERSION to play together. This is even true if you are both running 1946 or FB, you both need the same PATCH version to play. So this means you eitehr both get FB or you both get 1946 or both get original Il-2 and one of you host a game together.

Sirrith
02-20-2008, 09:46 AM
oh.. ok http://forums.ubi.com/groupee_common/emoticons/icon_frown.gif
well I guess that means more money will have to be spent.
Thanks for the fast reply

Taylortony
02-20-2008, 09:53 AM
Can you not take them back and trade them in for another copy of 1946.

That is the latest version and contains all the previous versions in one supergame

Sirrith
02-20-2008, 10:03 AM
oh believe me, if I could I would. But I bought them from different sellers and on ebay, because it was quite a bit cheaper.

Do you guys know how many co-op missions there are in the original and in FB? (I'm going to buy either one more copy of IL2 for my cousin, or another copy of FB for me, but dont know which to go for.)

Yellow_Sub
02-20-2008, 11:03 AM
The easy solution:
If you buy another copy for your cousin go for the 1946 edition.

But you might try to downgrade your version to FB. Since the 1946 edition still uses the original exe from FB, you might be able to play wiht your cousin if you apply the latest FB patch to your 1946 directory. I think 1.22 is the last one. You can find it here:
http://dlh.net/cgi-bin/dp.cgi?lang=eng&ref=ps&sys=pc&cap=i
Maybe it will work. If you have the disk space copy the entire IL2:1946 folder and apply the patch to the copy. So you can play the original and the downgraded version. There are also tools for switching the version of this game but I don't think they go down till 1.22.

Crash_Moses
02-20-2008, 11:09 AM
Not sure how many CO-OPs come stock but you can download tons of user made missions from www.mission4today.com (http://www.mission4today.com) .

I highly recommend buying 1946. You can get it for $20 from Circuit City and Best Buy. Well worth it! http://forums.ubi.com/groupee_common/emoticons/icon_smile.gif

S!

Sirrith
02-20-2008, 11:13 AM
That would also be the most expensive solution :P

I also dont think his comp has the space for 1946.

So the patch for FB should theoretically work on 1946?

How would I be able to tell if it worked or not if I did it right now?

The problem is that I'm not in the US, so shipping would hurt.

1946 costs around double that over here in the UK, I managed to get it for the equivalent of $20, but I think the seller only had one copy.
and again, I dont think my cousin has enough space on his comp, lol (its about 6 years old and he doesnt delete stuff very often).

I think I might just buy another copy of FB, that'll save me disk space, and it'll only cost about $6...

So to sum it all up: I need the same version of the game and the same patch in order to play online with him, correct?

Urufu_Shinjiro
02-20-2008, 11:28 AM
Try the patch, if you start the game and it says "version 1.22" on the bottom left then it worked http://forums.ubi.com/groupee_common/emoticons/icon_wink.gif. If that doesn't work then maybe FB is the way to go, although it will only be a matter of time before you are both hooked and 1946 is the only way to play online with everyone else http://forums.ubi.com/groupee_common/emoticons/icon_smile.gif.

Sirrith
02-20-2008, 12:05 PM
would it be possible to just download both patches, install the 1.22 when I play with my cousin, then install the newest one for other stuff, then re-install 1.22 over the new one later on?

willyvic
02-20-2008, 12:49 PM
Originally posted by Sirrith:


...So the patch for FB should theoretically work on 1946?...



You CANNOT "patch" 1946 to play with your cousin. Applying any patches other than 4.08 or the 4.09beta will result in a nonworkable game. (If you patch 1946 to 4.09beta you will not be able to join the majority of online games at this time) In your scenario the only option is either to buy another IL2 and patch it so both of you are matched or to buy another FB and patch it to match.

You can tell which version/patch you are running when you load the game. Look at bottom left corner.


WV.

Xiolablu3
02-20-2008, 02:45 PM
Just install your copy of 1946 on both computers.

I'm sure nooone will mind as you have spent a lot of money and just made a mistake with the versions.

Sirrith
02-20-2008, 03:29 PM
Ok, guess I'll get another FB.

It would work if the game was playable without CDs :P

Thanks for being so helpful ppl http://forums.ubi.com/groupee_common/emoticons/icon_smile.gif

DmdSeeker
02-20-2008, 04:31 PM
Originally posted by Sirrith:
Ok, guess I'll get another FB.

It would work if the game was playable without CDs :P

Thanks for being so helpful ppl http://forums.ubi.com/groupee_common/emoticons/icon_smile.gif

It is playable with out the CD.

Sirrith
02-20-2008, 07:29 PM
I tried both the original IL2 and 1946 without cds and it said "please insert disk"